Skip to main content
`Ctrl`+`K`

# PetscLayoutFindOwnerIndex

Find the owning MPI process and the local index on that process for a global index

## Synopsis

    #include "petscis.h"
    static inline PetscErrorCode PetscLayoutFindOwnerIndex(PetscLayout map, PetscInt idx, PetscMPIInt *owner, PetscInt *lidx)

Not Collective; No Fortran Support

## Input Parameters

- map - the layout

- idx - global index to find the owner of

## Output Parameters

- owner - the owning rank

- lidx - local index used by the owner for `idx`

## See Also

`PetscLayout`, `PetscLayoutFindOwner()`

## Level

developer

## Location

include/petscis.h

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages